# $Revision: 1.18 $, $Date: 2006/01/12 11:51:15 $
Summary:	Framework for developing Web applications in Python
Summary(pl):	Szkielet do tworzenia aplikacji WWW w Pythonie
Name:		python-quixote
Version:	2.4
Release:	1
Epoch:		1
License:	CNRI
Group:		Development/Languages/Python
Source0:	http://www.mems-exchange.org/software/files/quixote/Quixote-%{version}.tar.gz
# Source0-md5:	5dc36613faba7dee6c8c6d24c1334303
URL:		http://www.mems-exchange.org/software/quixote/
BuildRequires:	python-modules
BuildRequires:	python-devel
%pyrequires_eq	python-modules
Obsoletes:	Quixote
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quixote is yet another framework for developing Web applications in
Python. The design goals were:
- To allow easy development of Web applications where the
  emphasis is more on complicated programming logic than
  complicated templating.
- To make the templating language as similar to Python as possible,
  in both syntax and semantics. The aim is to make as many of the
  skills and structural techniques used in writing regular Python
  code applicable to Web applications built using Quixote.
- No magic. When it's not obvious what to do in
  a certain case, Quixote refuses to guess.

If you view a web site as a program, and web pages as subroutines,
Quixote just might be the tool for you. If you view a web site as a
graphic design showcase, and each web page as an individual work of art,
Quixote is probably not what you're looking for.

%description -l pl
Quixote to kolejny szkielet do tworzenia aplikacji WWW w Pythonie.
Projekt mia na celu:
- pozwoli na atwe tworzenie aplikacji WWW tam, gdzie jest wikszy
  nacisk na skomplikowan logik programu ni skomplikowane szablony
- uczyni jzyk szablonw podobnym do Pythona na ile to tylko moliwe,
  zarwno pod wzgldem skadni jak i semantyki; celem jest
  umoliwienie korzystania z jak najwikszej czci biegoci i
  technik strukturalnych uywanych przy pisaniu normalnego kodu w
  Pythonie w aplikacjach WWW budowanych przy uyciu Quixote
- brak magii; jeli nie jest oczywiste, co zrobi w danym przypadku,
  Quixote nie bdzie zgadywa.

Jeli kto patrzy na serwis WWW jak na program, a na strony jak na
procedury, Quixote moe by narzdziem dla niego. Jeli patrzy na
serwis jako na gablot, a kad stron jako oddzielny obraz, Quixote
prawdopodobnie nie jest tym, czego szuka.

%package doc
Summary:	Documentation for quixote Python module
Summary(pl):	Dokumentacja do moduu Pythona quixote
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doc
This module contains documentation files for quixote Python module.

%description doc -l pl
Modu zawierajcy dokumentacj dla moduu Pythona quixote.

%prep
%setup -q -n Quixote-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS CHANGES LICENSE README TODO
%dir %{py_sitedir}/quixote
%dir %{py_sitedir}/quixote/demo
%dir %{py_sitedir}/quixote/form
%dir %{py_sitedir}/quixote/html
%dir %{py_sitedir}/quixote/ptl
%dir %{py_sitedir}/quixote/server

%attr(755,root,root) %{py_sitedir}/quixote/*/*.so

%{py_sitedir}/quixote/*.py[co]
%{py_sitedir}/quixote/*/*.py[co]
%{py_sitedir}/quixote/demo/*.ptl

%files doc
%defattr(644,root,root,755)
%doc doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-quixote.spec,v $
Revision 1.18  2006/01/12 11:51:15  wrobell
- ver. 2.4

Revision 1.17  2005/05/08 15:37:23  wrobell
- ver. 2.0

Revision 1.16  2005/02/03 08:49:48  wrobell
- ver. 1.2

Revision 1.15  2004/12/26 17:48:00  saq
- release 2 for rebuild with python 2.4

Revision 1.14  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.13  2004/10/06 12:02:16  zboczuch
- version 1.1

Revision 1.12  2004/07/02 18:13:31  qboosh
- fixed dep for new epoch

Revision 1.11  2004/07/02 13:45:20  zboczuch
- version 1.0, release 1, epoch 1

Revision 1.10  2004/06/16 12:48:11  zboczuch
- correct group

Revision 1.9  2004/06/16 12:46:04  zboczuch
- version 1.0c1
- -doc submodule separated

Revision 1.8  2004/05/21 07:53:06  zboczuch
- ver. 1.0b2

Revision 1.7  2004/05/17 18:58:53  wrobell
- ver. 1.0b1

Revision 1.6  2004/05/14 17:22:07  qboosh
- fixed Source0 and setup

Revision 1.5  2004/05/14 16:40:48  qboosh
- some ghost has renamed spec, so Name change follows (Quixote->python-quixote)

Revision 1.4  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.3  2004/03/04 17:56:52  martii
- /usr/lib/python_dir/config/Makefile required (placed in python-devel)

Revision 1.2  2004/03/04 17:39:42  qboosh
- pl, cosmetics

Revision 1.1  2004/03/03 19:15:28  wrobell
- based on template
